package org.processmining.plugins.declareminer.gui;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Component;

import javax.swing.JCheckBox;
import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.JPanel;
import javax.swing.ListCellRenderer;
import javax.swing.border.EmptyBorder;

import org.processmining.plugins.declareminer.visualizing.Cell;

import com.fluxicon.slickerbox.factory.SlickerFactory;

public class ListRenderer implements ListCellRenderer {

	private final JCheckBox box;
	private final JLabel label;
	private final JPanel panel;

	public ListRenderer() {
		SlickerFactory sf = SlickerFactory.instance();
		panel = new JPanel();
		panel.setBackground(new Color(160, 160, 160));
		label = sf.createLabel("");
		box = sf.createCheckBox("", false);
		panel.setLayout(new BorderLayout());
		//panel.add(bef, BorderLayout.NORTH);
		panel.add(label, BorderLayout.WEST);
		panel.add(box, BorderLayout.EAST);
		panel.setBorder(new EmptyBorder(3, 2, 3, 0));
	}

	@Override
	public Component getListCellRendererComponent(JList list, Object value, int index, boolean isSelected,
			boolean cellHasFocus) {
		// TODO Auto-generated method stub
		Cell c = (Cell) value;
		if (c.isSelected()) {
			box.setSelected(true);
		} else {
			box.setSelected(false);
		}
		//   if(isSelected){
		//	panel.setBackground(new Color(0,100,0));
		//label.setForeground(Color.white);
		//}else{
		//	panel.setBackground(new Color(160,160,160));
		//	label.setForeground(Color.black);
		//}
		if (c.isCurrentSelected()) {
			panel.setBackground(new Color(100, 0, 0));
			label.setForeground(Color.white);
		} else {
			panel.setBackground(new Color(160, 160, 160));
			label.setForeground(Color.black);
		}
		label.setText(c.getLabel());
		return panel;
	}

}
